<?php

use function DI\autowire, DI\create, DI\get;

use Negundo\Client\{ SoftwareConfig, Dump, Task, NegundoMiddleware };

return [
    SoftwareConfig::class => create(SoftwareConfig::class)->constructor(getenv('NEGUNDO_HASH'), getenv('NEGUNDO_SERVER')),
    NegundoMiddleware::class => autowire(NegundoMiddleware::class),
    Dump::class => autowire(Dump::class),
    Task::class => autowire(Task::class),

    'assets.negundo' => [
        'picea' => [
            'asset' => [
                [
                    'path' => implode(DIRECTORY_SEPARATOR, [ dirname(__DIR__), "asset", '' ]),
                    'order' => 10
                ]
            ]
        ],
    ],
];
